--TEST--
Check for Timecop::travel()
--SKIPIF--
<?php
$required_func = array();
$required_class = array("TimecopDateTime");
$required_method = array(array("Timecop", "travel"));
include(__DIR__."/tests-skipcheck.inc.php");
--INI--
date.timezone=America/Los_Angeles
--FILE--
<?php
$dt1 = new DateTime("1970-01-01 00:00:00.900 GMT");
Timecop::travel($dt1);
usleep(120000); // 20ms margin
$dt2 =new TimecopDateTime();

if (class_exists("DateTimeImmutable")) {
    $dt3 = new DateTimeImmutable("1970-01-01 09:00:00.900 GMT");
    Timecop::travel($dt3);
    usleep(120000); // 20ms margin
    $dt4 =new TimecopDateTime();
} else {
    $dt3 = new DateTime("1970-01-01 01:00:00.900");
    $dt4 = new DateTime("1970-01-01 01:00:01.050");
}

$dt5 = new TimecopDateTime("2040-01-01 00:00:00.900 GMT");
Timecop::travel($dt5);
usleep(120000); // 20ms margin
if (PHP_INT_SIZE === 8) {
    $dt6 =new TimecopDateTime();
} else {
    // always pass the test on 32bit environment
    $dt6 = clone $dt5;
    $dt6->modify("+1second");
    $dt6->setTimeZone(new DateTimeZone("America/Los_Angeles"));
}

Timecop::travel(1);
sleep(1);
$dt7 =new TimecopDateTime();

var_dump($dt2->format("Y-m-d H:i:s"));
var_dump($dt4->format("Y-m-d H:i:s"));
var_dump($dt6->format("Y-m-d H:i:s"));
var_dump($dt1 < $dt2);
var_dump($dt3 < $dt4);
var_dump($dt5 < $dt6);
var_dump($dt7->format("Y-m-d H:i:s"));
--EXPECT--
string(19) "1969-12-31 16:00:01"
string(19) "1970-01-01 01:00:01"
string(19) "2039-12-31 16:00:01"
bool(true)
bool(true)
bool(true)
string(19) "1969-12-31 16:00:02"
